Subject: Re: [PATCH net] ipv6: add link-local, sit and loopback address with INFINITY_LIFE_TIME

From: Damien Wyart <[email-masked]>
Date: Wed, 8 Jan 2014 17:12:43 +0100

* Hannes Frederic Sowa <[email-masked]> [2014-01-08 15:43]:
> In the past the IFA_PERMANENT flag indicated, that the valid and preferred
> lifetime where ignored. Since change fad8da3e085ddf ("ipv6 addrconf: fix
> preferred lifetime state-changing behavior while valid_lft is infinity")
> we honour at least the preferred lifetime on those addresses. As such
> the valid lifetime gets recalculated and updated to 0.

> If loopback address is added manually this problem does not occur.
> Also if NetworkManager manages IPv6, those addresses will get added via
> inet6_rtm_newaddr and thus will have a correct lifetime, too.

I confirm this patch (on top of 3.13-rc7+) fixes the problem on my
system, eth0 has a LLA adress again after boot and ::1 is back on the
loopback interface.

Thanks for the quick fix!

-- 
Damien Wyart